# Search Buff for Gamepedia
Improve search experience when [alt+tab]bing between your game and Gamepedia.com. Not endorsed by or affiliated with Gamepedia. Not endorsed by or affiliated with Gamepedia.

Releasing it for Firefox. I probably will not release it for Chrome, because I do not respect Google's business practices as they relate to privacy and monopolization, among other things.

## Features
- Search bar moves with you as you scroll
- Search auto-focuses every time you return to the page
- Press [enter] to focus the search bar
- Prevents search if you press [enter] when there is no text in the search bar

## Status: First Version, unpolished
This is the first version, primarily done as a learning and side project. Unless people donate a bunch of money for some reason, I probably won't do a lot of work to improve it. I made it to provide a basic core functionality that makes it easier to search for wiki-content when playing games.

## Accessibility Notes
- [enter] will perform it's normal action if a button or link is focused.

## Well-supported pedias
These Gamepedias have been tested & still look reasonably good. It will probably work for most games on Gamepedia. If it's terrible on your favorite or if you'd like to get support for a non-gamepedia wiki site, please contact me. No promises that I'll improve it, but it's worth asking.
- World of Warcraft
- League of Legends
- Minecraft
- DOTA 2
- SMITE
- Feed The Beast
- No Man's Sky
- Zelda
- Fortnite

## Contact
You can contact me at:
- [@TaelufDev on Twitter](https://twitter.com/TaelufDev) (near-daily checkin)
- [contact@taeluf.com](mailto:contact@taeluf.com) (~weekly checkin)
- [@Taeluf on Facebook](https://facebook.com/Taeluf) (not very responsive)

Contact me for any of these reasons or others:
- Feature suggestions
- Complaints / bug reports / accessibility issues
- Other feedback
- Contribute money or code or art

## The code
The source code is available to view & contribute to, but not to use. View it on [Github](https://github.com/Taeluf/Gamepedia-Search).